- name : Install dependencies on hosts 
  gather_facts: true
  become: true
  hosts:
    - debian_servers
  roles:
    - gitlab-runner-install
    - docker-install
  tags:
    - initialisation

- name : Register gitlab-runners on hosts
  gather_facts: false
  become: true
  hosts:
    - debian_servers
  roles:
    - gitlab-runner 
  tags:
    - registration